Description

I'm not sure if this should be considdered a Defect or a Feature.

I'm using redmine 2.3.3.stable

There are 2 settings for the %done field. In one settig the field has to be manual updated and the other is that it is calculated by the

status the ticket is in.

In the manual setting:

When using subtickets the %done field of the parent ticket gets calculated by %done of the subtickets. The %done of the Parent

ticket can't be edited anymore.

In the setting where it gets set by ticket status the %done field of the parent is not calculated at all.

When having subtickets, I think a %done of the parent ticket should always be calculated by %done of the subtickets regardless of

how the %done of the childtickets are set.

Furthermore, it could be a good idea to give the possibility to automatically 'close a ticket'/'or send a notification' when all the

subtickets are beeing closed.

Related issues:

Is duplicate of Redmine - Defect #6609: % Done for Parent Tasks [2] Reopened 2010-10-08

History

#1 - 2013-12-13 10:42 - Daniel Felix

Fritjof Heyde wrote:

[...]

Furthermore, it could be a good idea to give the possibility to automatically 'close a ticket'/'or send a notification' when all the subtickets are

beeing closed.

 Regarding the last line, I would totally agree with you! This is often a Problem, if I'm using master tickets.

#2 - 2013-12-17 11:45 - Toshi MARUYAMA

- Category changed from Issues workflow to Issues

#3 - 2015-02-17 06:23 - Go MAEDA

- Is duplicate of Defect #6609: % Done for Parent Tasks [2] added

#4 - 2015-02-17 06:24 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

It is being discussed on #6609.

I close this issue.
